package monalipse.server;

import java.net.URL;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.resources.IProject;
import org.eclipse.jface.viewers.StructuredViewer;
import org.eclipse.ui.IWorkbenchWindow;

public interface IBBSServer
{
	public String getTargetName();

	public void initialize(IWorkbenchWindow workbenchWindow, IProject project);
	public IWorkbenchWindow getWorkbenchWindow();
	public IProject getProject();

	public IBoardListContentProvider getBoardListContentProvider();

	public IFolder getLogFolderOf(Object board);
	public IThreadListContentProvider getThreadListContentProvider();

	public boolean isSupported(URL url);

	public IThreadContentProvider getThreadContentProviderOf(String baseURL, IFolder logFolder, String id, String name);
	public IThreadContentProvider getThreadContentProviderOf(IProject project, URL url);

}
